Data Lake Store Accounts - Get
Gets the specified Data Lake Store account details in the specified Data Lake Analytics account.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataLakeAnalytics/accounts/{accountName}/dataLakeStoreAccounts/{dataLakeStoreAccountName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The name of the Data Lake Analytics account. |
|
data
|
path | True |
string |
The name of the Data Lake Store account to retrieve |
|
resource
|
path | True |
string |
The name of the Azure resource group. |
|
subscription
|
path | True |
string |
Get subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the specified Azure Data Lake Store account information. |
|
| Other Status Codes |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Gets the specified Data Lake Store account details
Sample request
Sample response
{
"id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"name": "test_adls",
"type": "test_type",
"properties": {
"suffix": "test_suffix"
}
}
Definitions
| Name | Description |
|---|---|
|
Data |
Data Lake Store account information. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
DataLakeStoreAccountInformation
Data Lake Store account information.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource identifier. |
| name |
string |
The resource name. |
| properties.suffix |
string |
The optional suffix for the Data Lake Store account. |
| type |
string |
The resource type. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |